# Class VulkanDebugUtilsLabelColor.Builder

java.lang.Object
com.io7m.jcoronado.extensions.ext_debug_utils.api.VulkanDebugUtilsLabelColor.Builder

Enclosing class:
  `VulkanDebugUtilsLabelColor`

public static final class VulkanDebugUtilsLabelColor.Builder extends Object
Builds instances of type `VulkanDebugUtilsLabelColor`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `VulkanDebugUtilsLabelColor`
  `build()`
  Builds a new `VulkanDebugUtilsLabelColor`.
  `final VulkanDebugUtilsLabelColor.Builder`
  `from(VulkanDebugUtilsLabelColorType instance)`
  Fill a builder with attribute values from the provided `VulkanDebugUtilsLabelColorType` instance.
  `final VulkanDebugUtilsLabelColor.Builder`
  `setAlpha(float alpha)`
  Initializes the value for the `alpha` attribute.
  `final VulkanDebugUtilsLabelColor.Builder`
  `setBlue(float blue)`
  Initializes the value for the `blue` attribute.
  `final VulkanDebugUtilsLabelColor.Builder`
  `setGreen(float green)`
  Initializes the value for the `green` attribute.
  `final VulkanDebugUtilsLabelColor.Builder`
  `setRed(float red)`
  Initializes the value for the `red` attribute.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final VulkanDebugUtilsLabelColor.Builder from(VulkanDebugUtilsLabelColorType instance)
    Fill a builder with attribute values from the provided `VulkanDebugUtilsLabelColorType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### setRed

    public final VulkanDebugUtilsLabelColor.Builder setRed(float red)
    Initializes the value for the `red` attribute.
    Parameters:
      `red` - The value for red
    Returns:
      `this` builder for use in a chained invocation

  - ### setGreen

    public final VulkanDebugUtilsLabelColor.Builder setGreen(float green)
    Initializes the value for the `green` attribute.
    Parameters:
      `green` - The value for green
    Returns:
      `this` builder for use in a chained invocation

  - ### setBlue

    public final VulkanDebugUtilsLabelColor.Builder setBlue(float blue)
    Initializes the value for the `blue` attribute.
    Parameters:
      `blue` - The value for blue
    Returns:
      `this` builder for use in a chained invocation

  - ### setAlpha

    public final VulkanDebugUtilsLabelColor.Builder setAlpha(float alpha)
    Initializes the value for the `alpha` attribute.
    Parameters:
      `alpha` - The value for alpha
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public VulkanDebugUtilsLabelColor build()
    Builds a new `VulkanDebugUtilsLabelColor`.
    Returns:
      An immutable instance of VulkanDebugUtilsLabelColor
    Throws:
      `IllegalStateException` - if any required attributes are missing